cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [cordova-android] breautek commented on pull request #928: Update check_reqs.js - allow JDK > 1.8
Date Wed, 08 Jul 2020 12:59:27 GMT

breautek commented on pull request #928:
URL: https://github.com/apache/cordova-android/pull/928#issuecomment-655503129


   Thank you for your PR, but I'm certain that Android SDK tools doesn't play nicely with
any java version above 8.
   
   You can get Java11 working with the android tools, but it requires some [hackery](https://stackoverflow.com/questions/53076422/getting-android-sdkmanager-to-run-with-java-11).
Depending on this is not an acceptable solution, it should work out of the box.
   
   So unfortunately, I don't see supporting java11 in the foreseeable future. This is something
we can return to once Android Studio/Android SDK Tools supports java11, or greater.


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message